Redmine - Defect #37114

syntax issue - "table in indent paragraph”
2022-05-13 04:48 - Edward Kim

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 425
Description

* *text level 1%*

*F +*xtext level 2*+
*xKx *text level 3a*_
|_. AAAAAAA |_. TEXT |

|=. line 1 in (row 1, col 1)

line 2 in (row 1, col 1) | description 1 in (row 1, col 2) |
|=. line 1 in (row 2, col 1)

line 2 in (row 2, col 1) | description 1 in (row 2, col 2)

description 2 in (row 2, col 2) |
***% *§{color:red; background:yellow}text level 3b (displayed Jjust like text level 1)%*

o text level 1
o text level 2

= text level 3a AAAAAAA TEXT

line 1in (row 1, col 1 description 1 in (row 1, col 2)

line 1in (row 2, col 1
line 2 in (row 2, col 1

description 1 in (row 2, col 2)

( )
line 2in (row 1, col 1)
( )
( ) description 2 in (row 2, col 2)

o text level 3b (displayed just like text level 1)
After table, if there's 1 empty line, then the indent is reset to level 1 indent. as shown above
HOWEVER,

* *text level 1%

*F +xtext level 2*+
*xKk o *text level 3a*_
|_. AAAAAAA |_. TEXT |

|=. line 1 in (row 1, col 1)

line 2 in (row 1, col 1) | description 1 in (row 1, col 2) |
|=. line 1 in (row 2, col 1)

line 2 in (row 2, col 1) | description 1 in (row 2, col 2)

description 2 in (row 2, col 2) |
*** *%{color:red; background:yellow}text level 3b (displayed just like text level 1)%*

e text level 1
o text level 2
= text level 3a
|_. AAAAAAA |_. TEXT | |=. line 1 in (row 1, col 1)

line 2 in (row 1, col 1) | description 1 in (row 1, col 2) | |=. line 1 in (row 2, col 1)
line 2 in (row 2, col 1) | description 1 in (row 2, col 2)
description 2 in (row 2, col 2) |

= text level 3b (displayed NORMALLY, as intended, text level 3)

BUT, if there's NO empty line, then the table is broken..
How to fix this syntax error???
Related issues:
Related to Redmine - Defect #24010: Using a tables inside a list (wrong inten...

New

History

#1 - 2022-05-16 01:48 - Edward Kim

Similar Issue was raised.. #24010
But, no solution..

#2 - 2022-05-16 10:51 - Bernhard Rohloff
- Related to Defect #24010: Using a tables inside a list (wrong intendation) added
https://www.redmine.org/issues/24010
http://www.tcpdf.org

